### Property

# GtkSource SpaceDrawer:matrix

#### Declaration

    property matrix: GLib.Variant [ read, write, construct ]

#### Description [src]

The property is a `GVariant` property to specify where and what kind of white spaces to draw.

The `GVariant` is of type `"au"`, an array of unsigned integers. Each integer is a combination of `GtkSourceSpaceTypeFlags`. There is one integer for each `GtkSourceSpaceLocationFlags`, in the same order as they are defined in the enum (`GTK_SOURCE_SPACE_LOCATION_NONE` and `GTK_SOURCE_SPACE_LOCATION_ALL` are not taken into account).

If the array is shorter than the number of locations, then the value for the missing locations will be `GTK_SOURCE_SPACE_TYPE_NONE`.

By default, `GTK_SOURCE_SPACE_TYPE_ALL` is set for all locations.4.

Type:`GVariant`

Getter method | `gtk_source_space_drawer_get_matrix()`
Setter method | `gtk_source_space_drawer_set_matrix()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no